Get all assets
curl --request GET \
--url https://demo-api.mobula.io/api/1/allimport requests
url = "https://demo-api.mobula.io/api/1/all"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://demo-api.mobula.io/api/1/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"name": "<string>",
"symbol": "<string>",
"logo": "<string>",
"price": 123,
"price_change_1h": 123,
"price_change_24h": 123,
"price_change_7d": 123,
"price_change_1m": 123,
"price_change_1y": 123,
"market_cap": 123,
"liquidity": 123,
"volume": 123,
"blockchains": [
"<string>"
],
"contracts": [
"<string>"
],
"decimals": [
123
],
"website": "<string>",
"twitter": "<string>",
"chat": "<string>"
}
]
}Metacore
Get All Cryptocurrencies
GET
/
1
/
all
Get all assets
Due to heavy data load, the docs might crash on your computer if you try this
endpoint in the playground. Try running it on a codebase, Postman, or your
browser instead.
Query details
The fields query parameter allows you to specify which fields you want to receive:id- the cryptocurrency IDsymbol- the cryptocurrency symbolname- the cryptocurrency namelogo- the cryptocurrency logo image URLprice- the current price of the cryptocurrencyprice_change_1h- the price change in the last 1 hourprice_change_24h- the price change in the last 24 hoursprice_change_7d- the price change in the last 7 daysprice_change_30d- the price change in the last 30 daysprice_change_1y- the price change in the last 1 yearmarket_cap- the market cap of the cryptocurrencyliquidity- the liquidity of the cryptocurrencycontracts- the contracts of the cryptocurrencyblockchains- the blockchains of the cryptocurrencychat- the chat URL of the cryptocurrencytwitter- the Twitter URL of the cryptocurrencywebsite- the website URL of the cryptocurrencyrank- the rank of the cryptocurrency
Usage Examples
- Query all data with
defaultfields
curl -X GET "https://demo-api.mobula.io/api/1/all"
- Query all data with the
logofield
curl -X GET "https://demo-api.mobula.io/api/1/all?fields=logo"
- Query all data with the
pricefield
curl -X GET "https://demo-api.mobula.io/api/1/all?fields=price"